---
title: "Create Group"
slug: "create-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

Post/api/v1/groups.create

Create a new private channel, optionally including specified users. Refer to the [Channels](https://docs.rocket.chat/docs/channels) documents for information on the available room options.

The following permissions are required:

- `create-p`: This permission is required to create a private channel.
- `create-team-group`: This permission is required if you want to create a private channel from an existing team.

### Changelog

| Version | Description |
| --- | --- |
| 6.4.1 | Added `excludeSelf` param |
| 0.35.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='287dde14-44f9-4558-ad72-ce9acf367c0d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a2983384-0ebc-49f8-9536-0cd0cae99d05'>Example</option>
</select>Example

```json
{
  "name": "groupname",
  "members": [
    "rocket.cat"
  ],
  "readOnly": true,
  "excludeSelf": true,
  "customFields": {
    "type": "default"
  },
  "extraData": {
    "broadcast": true,
    "encrypted": false,
    "teamId": "658441562dd9f928ad9951aa"
  }
}
```

Expand Allobject  namestring    Required

The name of the new private group.

Examplegroupname
readOnlyboolean    

Set if the private channel is read-only or not. The default value is false.

Examplefalse
members Array of string   

The users to add to the private channel when it is created.

string    Examplerocket.cat
excludeSelfboolean    

If set to true, the user calling the endpoint is not added as a member of the private channel. The default value is false.

Examplefalse
customFieldsobject  

You add custom fields for private rooms using this parameter. Enter the key and value that you want to associate with this room. For example, `{ &quot;company&quot;: &quot;sell-and-more&quot; }`. The custom fields are not displayed in the workspace UI.

extraDataobject  

Enter the following details for the object:

Note: For more information, see [Channels](https://docs.rocket.chat/docs/channels).

broadcastboolean    

Whether the group should be a broadcast group. False by default.

encryptedboolean    

Whether the group should be encrypted. False by default.

teamIdstring    

Enter the team ID for which you want to create a group. You will get an error if the team does not exist.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='fdb419c3-b76f-4c2c-976d-14241d03b110'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='77ee78af-7dcc-4198-8d9d-19b8cc4ae061'>Success</option>
</select>Success

```json
{
  "group": {
    "_id": "NtR6RQ7NvzA9ejecX",
    "name": "testing",
    "t": "p",
    "msgs": 0,
    "u": {
      "_id": "aobEdbYhXfu5hkeqG",
      "username": "tester"
    },
    "ts": "2016-12-09T16:53:06.761Z",
    "ro": false,
    "sysMes": true,
    "_updatedAt": "2016-12-09T16:53:06.761Z"
  },
  "success": true
}
```

Expand Allobject  groupobject  _idstring    
namestring    
tstring    
msgsinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
sysMesboolean    
_updatedAtstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='1c9b02ac-0081-4c20-b5e3-78b7347a98a4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='690ce05b-75bf-4eff-9c3d-e06a9dd88935'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "Body param \"name\" is required"
}
```

object  successboolean    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='523953c4-e4d5-4d42-b2bd-da0178c2b8ca'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='3acd4870-1b1d-44b5-9cb1-71a5a4bc9751'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
